summaryrefslogtreecommitdiff
path: root/packaging/debian/monkeysphere.postinst
diff options
context:
space:
mode:
authorMatt Goins <mjgoins@openflows.com>2009-03-10 09:33:05 -0400
committerMatt Goins <mjgoins@openflows.com>2009-03-10 09:33:05 -0400
commit282c489f3101f0d744b66d88853a150e79b0870d (patch)
treeb4028ecbb3d313ba41f956cc00fea7925982bfbb /packaging/debian/monkeysphere.postinst
parentcec56faf07bb4f3b8d563e4f3c9042b6579356e2 (diff)
parent69b3e256e2017d5664ef37d06aae5e5bcf446575 (diff)
Merge commit 'dkg/master'
Diffstat (limited to 'packaging/debian/monkeysphere.postinst')
-rwxr-xr-xpackaging/debian/monkeysphere.postinst45
1 files changed, 29 insertions, 16 deletions
diff --git a/packaging/debian/monkeysphere.postinst b/packaging/debian/monkeysphere.postinst
index 3d0d66f..4e81167 100755
--- a/packaging/debian/monkeysphere.postinst
+++ b/packaging/debian/monkeysphere.postinst
@@ -1,27 +1,40 @@
-#!/bin/sh -e
+#!/bin/sh
# postinst script for monkeysphere
# Author: Jameson Rollins <jrollins@finestructure.net>
# Copyright 2008-2009
+set -e
+
VARLIB="/var/lib/monkeysphere"
-# add a monkeysphere user if one does not already exist
-if ! getent passwd monkeysphere >/dev/null ; then
- echo "adding monkeysphere user..."
- adduser --quiet --system --no-create-home --group \
- --home "$VARLIB" \
- --shell '/bin/bash' \
- --gecos 'monkeysphere authentication user,,,' \
- monkeysphere
-fi
-
-# try to transition from to 0.23:
-/usr/share/monkeysphere/transitions/0.23
-
-# setup monkeysphere authentication
-monkeysphere-authentication setup
+case $1 in
+ configure)
+ # add a monkeysphere user if one does not already exist
+ if ! getent passwd monkeysphere >/dev/null ; then
+ echo "adding monkeysphere user..."
+ adduser --quiet --system --no-create-home --group \
+ --home "$VARLIB" \
+ --shell '/bin/bash' \
+ --gecos 'monkeysphere authentication user,,,' \
+ monkeysphere
+ fi
+
+ # try all available transitions:
+ for trans in 0.23 ; do
+ /usr/share/monkeysphere/transitions/$trans || { \
+ RET=$?
+ echo "Failed running transition script /usr/share/monkeysphere/transitions/$trans" >&2
+ exit $RET
+ }
+ done
+
+
+ # setup monkeysphere authentication
+ monkeysphere-authentication setup
+ ;;
+esac
# dh_installdeb will replace this with shell code automatically
# generated by other debhelper scripts.